import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HistorySidebarComponent } from 'src/app/modules/shared/components/history/history-sidebar.component';
import { SharedModule } from 'src/app/modules/shared/shared.module';
import { TranslateModule } from '@ngx-translate/core';
import { AuthService } from 'src/app/service/auth.service';
import { KeycloakService } from 'keycloak-angular';
import { ErrorHandlingService } from 'src/app/service/error-handling.service';
import { ToastService } from 'src/app/service/toast.service';
import { ConfirmationService, MessageService } from 'primeng/api';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

describe('HistorySidebarComponent', () => {
  let component: HistorySidebarComponent<unknown>;
  let fixture: ComponentFixture<HistorySidebarComponent<unknown>>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HistorySidebarComponent],
      imports: [
        BrowserAnimationsModule,
        SharedModule,
        TranslateModule.forRoot(),
      ],
      providers: [
        AuthService,
        KeycloakService,
        ErrorHandlingService,
        ToastService,
        MessageService,
        ConfirmationService,
        {
          provide: ActivatedRoute,
          useValue: {
            snapshot: { params: { historyId: '3' } },
          },
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(HistorySidebarComponent);
    component = fixture.componentInstance;
    component.columns = [];
    //eslint-disable-next-line @typescript-eslint/no-unused-vars
    component.loadHistory = (id: number) => of([]);
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
